curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/allocation/reallocate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"channel": "ship1233234555g",
"tenant": "ship1233234555g",
"id": "98ff5c0bec0aed3c86202c32",
"orderNumber": "ship1233234555g",
"items": [
{
"lineItemId": "134fqfaa532qrf",
"allocationLineNumber": 1,
"quantity": 3
}
]
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/allocation/reallocate"
payload = {
"channel": "ship1233234555g",
"tenant": "ship1233234555g",
"id": "98ff5c0bec0aed3c86202c32",
"orderNumber": "ship1233234555g",
"items": [
{
"lineItemId": "134fqfaa532qrf",
"allocationLineNumber": 1,
"quantity": 3
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
channel: 'ship1233234555g',
tenant: 'ship1233234555g',
id: '98ff5c0bec0aed3c86202c32',
orderNumber: 'ship1233234555g',
items: [{lineItemId: '134fqfaa532qrf', allocationLineNumber: 1, quantity: 3}]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/allocation/reallocate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Reallocation process completed Successfully with !! allocation Ids [6315dec507025b003f20ed3c]"
}{
"message": "AllocationId is not found"
}{
"message": "Internal Server Error"
}Reallocate location
Updates location number of the existing allocation. To update other details, PUT /allocation/{allocationId} endpoint is recommended.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Channel
"ship1233234555g"
Tenant ID
"ship1233234555g"
Unique ID of the document
Unique ID of the document
"98ff5c0bec0aed3c86202c32"
Document type
ALLOCATION, ORDER, SHIPMENT, ALLOCATION ORDER Id of the given document
"ship1233234555g"
Optional item list needs to be allocated
Show child attributes
Show child attributes
Response
Location reallocated
The response is of type string.
Was this page helpful?
